EDIT - bug #6876

switch button of media view is too small and not at the expected place
08/02/2017 11:57 AM - Patrick Plitzner
Description

Andreas:

Ich sehe gerade, dass das Change View Type icon fir Media manchmal quasi verschwindet. Sollte es nicht anstelle des grauen
Feldes rechts oben stehen? Oder ist letzteres fir was anderes? Das sollten wir fixen. Ich hatte gerade kirzlich den Griechen
aus der Erinnerung geschrieben, dass sie rechts oben auf das Icon klicken sollen, um den Typ zu &ndern, das ist so schwer zu
finden.

Patrick:

Ich kann das bei mir nicht so reproduzieren? Das Icon ist dort schon an der richtigen Stelle. Dass das quasi verschwindet, hatte
ich bei mir nie. Klar, wenn der DetailsView immer kleiner wird, verschwindet es, so wie auch die anderen Sachen.
Dieses graue Quadrat oben rechts, scheint bei jeder Section im DetailsView vorhanden zu sein.

Andreas:

Hmm, bei mir ist das graue Q. viel gréBer als bei dir. Ich finde es ein bisschen unintuitiv, dass das changeType Icon direkt
neben dem Titel steht. Da denkt man, dass es damit zu tun hatte. Kann man denn den grauen Bereich nicht, wie z.B. in der
Name Section und auch in anderen Bereichen, fiir solche Section-weite Funktionen nutzen. Das fande ich grundsatzlich
intuitiver als das Icon direkt neben konkrete Daten zu setzen.

Patrick:

Das ist dort gelandet, weil es irgendwo auch ein "eingebettetes” MediaDetailElement gibt, was nicht in einer, oder in einer
anderen, Section hangt. Da war die generische Lésung, das ganze fir das DetailElement hinzuzufligen und nicht fir die
Section, wenn ich mich recht erinnere.

The media view switch was moved to the media detail element because the detail element is also used in EntityCollectionSections.
For media this can be found if you click on a description element in the factual data view. The details view will then show a section
called "Media" where each single MediaDetailElement contains the switch.

History

#1 - 08/02/2017 12:02 PM - Andreas Miller

- Subject changed from switch button of media view is too small to switch button of media view is too small and not at the expected place

#2 - 08/02/2017 12:25 PM - Patrick Plitzner

- Description updated

The me

#3 - 04/21/2020 12:21 PM - Andreas Miuller

- Assignee changed from Patrick Plitzner to Katja Luther
